Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588086 - Missing absolute paths in scripts breaks "sudo yum ..." operations
Missing absolute paths in scripts breaks "sudo yum ..." operations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: etckeeper (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 11:32 EDT by Dominik Sandjaja
Modified: 2010-09-26 23:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: etckeeper-0.49-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-26 00:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Sandjaja 2010-05-02 11:32:12 EDT
Description of problem:
Installed etckeeper, tried a yum update via "sudo yum update". Etckeeper fails with "command not found" errors. Problem is that /usr/sbin, where the executable resides is not within the path when yum is called via sudo. 
The command is e.g. called in /etc/etckeeper/post-install.d/50vcs-commit on lines 8 and 19.

Version-Release number of selected component (if applicable):
etckeeper-0.41-1.fc12.noarch

How reproducible:
Fresh install of etckeeper, do a yum operation as regular user with sudo.
  
Actual results:
Several "command not found" errors.

Expected results:
etckeeper doing its job.
Comment 1 Thomas Moschny 2010-09-01 12:59:34 EDT
Ping?
Comment 2 Fedora Update System 2010-09-07 18:14:12 EDT
etckeeper-0.48-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/etckeeper-0.48-1.fc12
Comment 3 Fedora Update System 2010-09-07 22:18:35 EDT
etckeeper-0.48-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update etckeeper'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/etckeeper-0.48-1.fc12
Comment 4 Fedora Admin XMLRPC Client 2010-09-16 16:17:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2010-09-16 17:06:02 EDT
etckeeper-0.49-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/etckeeper-0.49-1.fc13
Comment 6 Fedora Update System 2010-09-16 17:06:07 EDT
etckeeper-0.49-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/etckeeper-0.49-1.fc12
Comment 7 Fedora Update System 2010-09-16 17:06:13 EDT
etckeeper-0.49-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/etckeeper-0.49-1.fc14
Comment 8 Fedora Update System 2010-09-26 00:33:25 EDT
etckeeper-0.49-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-09-26 00:35:54 EDT
etckeeper-0.49-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-26 23:55:40 EDT
etckeeper-0.49-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.